Subject: Re: Re* [PATCH] t0613: mark as leak-free

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 24 Jul 2024 07:16:00 +0200

On Wed, Jul 24, 2024 at 01:07:23AM +0200, Rubén Justo wrote:
> On Tue, Jul 23, 2024 at 05:03:39PM -0400, Jeff King wrote:
> > On Mon, Jul 22, 2024 at 11:02:24AM +0200, Patrick Steinhardt wrote:
> > So I dunno. If we think people are paying attention to CI on their
> > topics, and we think that we are close enough to leak-free that (1b)
> > won't come up a lot, it might make sense. I'm not quite sure we're there
> > yet on the latter, but it's mostly gut feeling (and I know things have
> > gotten a bit better recently, too).
> 
> I don't know either.  Maybe it seems a bit early still considering the
> numbers we have: 
> 
>    $ git grep -l PASSES_SANITIZE_LEAK=true t/t[0-9][0-9][0-9][0-9]-*.sh | wc -l
>    678
>    $ git grep -L PASSES_SANITIZE_LEAK=true t/t[0-9][0-9][0-9][0-9]-*.sh | wc -l
>    329

These numbers aren't quite right -- you have to filter out most of the
tests that include "lib-git-svn.sh", which reverses the schema and makes
leak checks opt-out (?!). That brings me to the following hacky numbers:

    $ grep -l TEST_PASSES_SANITIZE_LEAK=true t[0-9][0-9][0-9][0-9]-*.sh | grep -v svn | wc -l
    678
    $ grep -L TEST_PASSES_SANITIZE_LEAK=true t[0-9][0-9][0-9][0-9]-*.sh | grep -v svn | wc -l
    261

I've got two local topic branches pending that reduce the number of
failing tests even further. One is the Perforce series I've sent out
yesterday. And then another random set of leak fixes. Which together
bring us to:

    $ grep -l TEST_PASSES_SANITIZE_LEAK=true t[0-9][0-9][0-9][0-9]-*.sh | grep -v svn | wc -l
    749
    $ grep -L TEST_PASSES_SANITIZE_LEAK=true t[0-9][0-9][0-9][0-9]-*.sh | grep -v svn | wc -l
    190

So considering that it's currently still rather easy to make progress,
I'd vote for keeping things as-is and wait for another couple of series
to land before switching to opt-out.

Patrick